paths 

XPOS = load('data/regmet_mnist/mnist14x14/mnist14x14_class_1.mat');

XNEG = load('data/regmet_mnist/mnist14x14/mnist14x14_class_7.mat');

%
%N = training set size
X1 = XPOS.X';
X7 = XNEG.X';
DATA = [X1; X7];
Y = [ones(size(XPOS.X,2),1); -1*ones(size(XNEG.X,2),1)];
N = 50;

[TRAIN_X,TRAIN_Y,TEST_X,TEST_Y]=random_sample_img(DATA,Y,N);


% set sigma and lambda range
sigma=autosigma(DATA',5);
K=kernel('gauss',sigma,TRAIN_X,TRAIN_X);
min_lambda=eps;
max_lambda=max(eig(K));

range=linspace(min_lambda,max_lambda,100)
[IND,ERR]=kcv('gauss',sigma,'rls',range,TRAIN_X,TRAIN_Y,5,'class','rand');

[alpha, err]=learn('gauss',sigma,'rls',range(IND),TRAIN_X,TRAIN_Y,'class');

% 
% % perform test both on training and test data
[Y_est,test_err]=patt_rec('gauss',sigma,alpha{1,1},TRAIN_X,TRAIN_X,TRAIN_Y,'class');
disp('training error')
test_err
[Y_est,test_err]=patt_rec('gauss',sigma,alpha{1,1},TRAIN_X,TEST_X,TEST_Y,'class');
disp('test error')
test_err

figure(1);
plot(range,ERR); title('KCV error - RLS');


[IND,ERR]=kcv('gauss',sigma,'tsvd',range,TRAIN_X,TRAIN_Y,5,'class','rand');
[alpha, err]=learn('gauss',sigma,'tsvd',range(IND),TRAIN_X,TRAIN_Y,'class');

% 
% % perform test both on training and test data
[Y_est,test_err]=patt_rec('gauss',sigma,alpha{1,1},TRAIN_X,TRAIN_X,TRAIN_Y,'class');
disp('training error')
test_err
[Y_est,test_err]=patt_rec('gauss',sigma,alpha{1,1},TRAIN_X,TEST_X,TEST_Y,'class');
disp('test error')
test_err

figure(2);
plot(range,ERR); title('KCV error - TSVD');